[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: TSVN & Dreamweaver CS4

From: Andy Levy <andy.levy_at_gmail.com>
Date: Tue, 19 May 2009 10:33:41 -0400

On Tue, May 19, 2009 at 09:21, <webpost_at_tigris.org> wrote:
> Which version of Tortoise SVN client uses the Subversion 1.4.5 client library?

TSVN versions track Subversion library versions. To get a TSVN that
uses the SVN 1.4 libraries, you need to get TSVN 1.4.x

> The latest version of TSVN (1.6.x) causes the new SVN capabilities in Dreamweaver CS4 to fail and I need to have both.

The only way you can do this is to have separate WCs for TSVN 1.6 and
Dreamweaver.

> Here's a note from Adobe:
>
> Important: Dreamweaver CS4 uses the Subversion 1.4.5 client library. Later versions of the Subversion client library are not backward-compatible

This is really misleading. Later versions are backward-compatible -
they have to be. However, they do silently upgrade the WC format, and
older clients can't use later WC formats because time travel hasn't
been invented yet.

------------------------------------------------------
http://tortoisesvn.tigris.org/ds/viewMessage.do?dsForumId=4061&dsMessageId=2313064

To unsubscribe from this discussion, e-mail: [users-unsubscribe_at_tortoisesvn.tigris.org].
Received on 2009-05-19 16:33:52 CEST

This is an archived mail posted to the TortoiseSVN Users mailing list.